fix(agent): yellow os-type skips

This commit is contained in:
2025-05-31 22:36:51 +01:00
parent 432207808a
commit 30035f32e6
13 changed files with 14 additions and 12 deletions

View File

@@ -8,11 +8,13 @@ set -eo pipefail
if [[ -t 1 && -n "$TERM" && "$TERM" != "dumb" ]]; then
RED="\033[1;31m"
GREEN="\033[1;32m"
YELLOW="\033[1;33m"
GREY="\033[1;30m"
NC="\033[0m"
else
RED=""
GREEN=""
YELLOW=""
GREY=""
NC=""
fi

View File

@@ -31,5 +31,5 @@ if [[ "$OSTYPE" == "darwin"* ]]; then
HOMEBREW_NO_AUTO_UPDATE \
HOMEBREW_NO_INSTALL_CLEANUP
else
echo "Skipping: Not macOS"
echo -e "${YELLOW}Skipping: Not macOS${NC}"
fi

View File

@@ -21,5 +21,5 @@ if command -v apt-get &> /dev/null; then
apt --version
else
echo "Skipping: apt-get not found"
echo -e "${YELLOW}Skipping: apt-get not found${NC}"
fi

View File

@@ -10,5 +10,5 @@ if [[ "$OSTYPE" == "darwin"* ]]; then
brew install --cask iterm2
fi
else
echo "Skipping: Not macOS"
echo -e "${YELLOW}Skipping: Not macOS${NC}"
fi

View File

@@ -20,5 +20,5 @@ if [[ "$OSTYPE" == "darwin"* ]]; then
unset fonts_list
else
echo "Skipping: Not macOS"
echo -e "${YELLOW}Skipping: Not macOS${NC}"
fi

View File

@@ -12,5 +12,5 @@ if [[ "$OSTYPE" == "darwin"* ]]; then
echo "Colour Contrast Analyser (CCA) is already installed."
fi
else
echo "Skipping: Not macOS"
echo -e "${YELLOW}Skipping: Not macOS${NC}"
fi

View File

@@ -12,5 +12,5 @@ if [[ "$OSTYPE" == "darwin"* ]]; then
echo "Rectangle is already installed."
fi
else
echo "Skipping: Not macOS"
echo -e "${YELLOW}Skipping: Not macOS${NC}"
fi

View File

@@ -12,5 +12,5 @@ if [[ "$OSTYPE" == "darwin"* ]]; then
echo "MeetingBar is already installed."
fi
else
echo "Skipping: Not macOS"
echo -e "${YELLOW}Skipping: Not macOS${NC}"
fi

View File

@@ -12,5 +12,5 @@ if [[ "$OSTYPE" == "darwin"* ]]; then
echo "BetterDisplay is already installed."
fi
else
echo "Skipping: Not macOS"
echo -e "${YELLOW}Skipping: Not macOS${NC}"
fi

View File

@@ -12,5 +12,5 @@ if [[ "$OSTYPE" == "darwin"* ]]; then
echo "dockutil is already installed."
fi
else
echo "Skipping: Not macOS"
echo -e "${YELLOW}Skipping: Not macOS${NC}"
fi

View File

@@ -12,5 +12,5 @@ if [[ "$OSTYPE" == "darwin"* ]]; then
echo "Arc Browser is already installed."
fi
else
echo "Skipping: Not macOS"
echo -e "${YELLOW}Skipping: Not macOS${NC}"
fi

View File

@@ -13,5 +13,5 @@ if [[ "$OSTYPE" == "darwin"* ]]; then
echo "AppCleaner is already installed."
fi
else
echo "Skipping: Not macOS"
echo -e "${YELLOW}Skipping: Not macOS${NC}"
fi

View File

@@ -185,5 +185,5 @@ if [[ "$OSTYPE" == "darwin"* ]]; then
killall Dock 2>/dev/null || true
else
echo "Skipping: Not macOS"
echo -e "${YELLOW}Skipping: Not macOS${NC}"
fi